Back to index

salome-geom  6.5.0
Namespaces | Variables
GEOM_example2.py File Reference

Go to the source code of this file.

Namespaces

namespace  GEOM_example2

Variables

tuple GEOM_example2.geom = salome.lcc.FindOrLoadComponent("FactoryServer", "GEOM")
tuple GEOM_example2.myBuilder = salome.myStudy.NewBuilder()
tuple GEOM_example2.BasicOp = geom.GetIBasicOperations(salome.myStudyId)
tuple GEOM_example2.PrimOp = geom.GetI3DPrimOperations(salome.myStudyId)
tuple GEOM_example2.InsertOp = geom.GetIInsertOperations(salome.myStudyId)
tuple GEOM_example2.TrsfOp = geom.GetITransformOperations(salome.myStudyId)
tuple GEOM_example2.point0 = BasicOp.MakePointXYZ(0.,0.,0.)
tuple GEOM_example2.pointz1 = BasicOp.MakePointXYZ(0.,0.,1.)
tuple GEOM_example2.dirz = BasicOp.MakeVectorTwoPnt(point0,pointz1)
tuple GEOM_example2.torus1 = PrimOp.MakeTorusPntVecRR(point0,dirz,150.,25.)
tuple GEOM_example2.id_torus1 = geompy.addToStudy(torus1,"torus1")
tuple GEOM_example2.torus2 = InsertOp.MakeCopy(torus1)
tuple GEOM_example2.vec1 = BasicOp.MakeVectorDXDYDZ(0.,0.,100.)
tuple GEOM_example2.id_torus2 = geompy.addToStudy(torus2,"torus2")
tuple GEOM_example2.cylz1 = PrimOp.MakeCylinderPntVecRH(point0,dirz,25.,100.)
int GEOM_example2.ind = 0
list GEOM_example2.cyllist = []
tuple GEOM_example2.acyl = InsertOp.MakeCopy(cylz1)
int GEOM_example2.x = 150
int GEOM_example2.y = 150
int GEOM_example2.z = 0
tuple GEOM_example2.vec_i = BasicOp.MakeVectorDXDYDZ(x,y,z)
string GEOM_example2.name = "cyl%d"
tuple GEOM_example2.id_acyl = geompy.addToStudy(acyl,name)